#include<bits/stdc++.h>
using namespace std;
ifstream fi("demduong.inp");
ofstream fo("demduong.out");
int main(){
int n,ans=0,x,ans2=0;
fi>>n;
for(int i=0;i<n;++i){
    fi>>x;
    if(x>0){ans++;ans2+=x;}
}
fo<<ans<<' '<<ans2 ;
}
